﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.SqlClient;
using System.Linq;
using System.Text;

namespace Datos_EEX
{
    public class Socios
    {
        /// <summary>
        /// Devuelve DataTable con los socios a Exportar
        /// </summary>
        /// <returns></returns>
        public DataTable TraerTodo()
        {
            DataTable dt = new DataTable();
            string strSQL = "SELECT " +
	                        "NroGrupo AS 'Nro_Grupo'," + 
	                        "NroUsuario AS 'Nro_Usuario'," +
	                        "NumeroDocumento AS 'Nro_Documento'," +
	                        "TipoDocumento AS 'Tipo_Documento'," +
	                        "NroPasaporte  AS 'Nro_Pasaporte'," +
	                        "RTRIM(LTRIM(Apellido)) AS 'Apellido'," +
                            "RTRIM(LTRIM(Nombres)) AS 'Nombre'," +                       
                            "RTRIM(LTRIM(sexo)) AS 'Sexo'," +
                            "RTRIM(LTRIM(Domicilio)) AS 'Domicilio'," +
                            "RTRIM(LTRIM(CP)) AS 'CP'," +
                            "RTRIM(LTRIM(Telefonos)) AS 'Telefono'," +
	                        "Tel_Movil_Pref_Pais AS 'Cod_Pais'," +
	                        "Tel_Movil_Pref_Inter  AS 'Cod_Area'," +
	                        "Tel_Movil AS 'Nro_Celular'," +
                            "RTRIM(LTRIM(Email)) AS 'Email'," +
	                        "CONVERT (VARCHAR(10), PasapVigenciaH, 120)  AS 'Fecha_Vencimiento_Pasaporte'," +
	                        "CONVERT (VARCHAR(10),FechaNacimiento, 120) AS 'Fecha_Nacimiento'," +
                            "DATEDIFF (yy, FechaNacimiento, GETDATE()) AS 'Edad' " +
                            "FROM Usuarios " +
                            "WHERE " +
                            "Estado<>'B' " + 
                            "AND PasapVigenciaH > GETDATE()";

            try
            {
                SqlDataAdapter daTraer = new SqlDataAdapter(strSQL, Conexion.strConexion);
                daTraer.Fill(dt);

            }
            catch (SqlException)
            {
                //Se produjo un error SQL, SqlExcepcion es especifico de sql por eso va arriba de Excepcion
                throw new Exception("Error en la Base de Datos");
            }
            catch (Exception)
            {
                //Pasa la excepción a la capa de lógica
                throw new Exception("No pudo realizar traer todos los Socios de la base");
            }

            return dt;
        }
    }
}
